<?xml version="1.0" encoding="UTF-8"?>
<EntityDescriptor xmlns="urn:oasis:names:tc:SAML:2.0:metadata" xmlns:ds="http://www.w3.org/2000/09/xmldsig#" xmlns:shibmd="urn:mace:shibboleth:metadata:1.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
                  entityID="https://idp.siam.sinopec.com/idp">

    <IDPSSODescriptor protocolSupportEnumeration="urn:mace:shibboleth:1.0 urn:oasis:names:tc:SAML:1.1:protocol urn:oasis:names:tc:SAML:2.0:protocol">

        <Extensions>
            <shibmd:Scope regexp="false">siam.sinopec.com</shibmd:Scope>
        </Extensions>

        <KeyDescriptor>
            <ds:KeyInfo>
                <ds:X509Data>
                    <ds:X509Certificate>
MIID0TCCAzqgAwIBAgIOQjAxMDAwMDAwMDU3MTMwDQYJKoZIhvcNAQEFBQAwLDEL
MAkGA1UEBgwCQ04xEDAOBgNVBAoMB1NJTk9QRUMxCzAJBgNVBAMMAkNBMB4XDTEy
MDkxNzAwMDAwMFoXDTE3MDkxNzAwMDAwMFowWjELMAkGA1UEBhMCQ04xCzAJBgNV
BAcMAmJqMRAwDgYDVQQKDAdTSU5PUEVDMQ0wCwYDVQQLDARzaWFtMR0wGwYDVQQD
DBRpZHAuc2lhbS5zaW5vcGVjLmNvbTCBnzANBgkqhkiG9w0BAQEFAAOBjQAwgYkC
gYEAlJltfLp5u+yyKp6e0fF4Ua/MqqXLcPc+4CCVgt8nUfrVe/u2wPtBj+C6JAjz
3/SlV3pPRDUdJJyIOSKZCItb80w+jOc12+QJXtOIRoFaMblIXwBZRTr8i3MefVMn
5yvAyv/sjWgV10D6m1bvjEyfFgyUB0UqnmuXxaCq3DYdKX0CAwEAAYIVAGlkcC5z
aWFtLnNpbm9wZWMuY29to4IBrzCCAaswCwYDVR0PBAQDAgTwMB0GA1UdJQQWMBQG
CCsGAQUFBwMBBggrBgEFBQcDAjAfBgNVHSMEGDAWgBRx///04kzmY45A8/gk3Hb1
hHK8eDAdBgNVHQ4EFgQUb3gGx3vYNu4wqsMNZsMnpXVaBcswRAYJKoZIhvcNAQkP
BDcwNTAOBggqhkiG9w0DAgICAIAwDgYIKoZIhvcNAwQCAgCAMAcGBSsOAwIHMAoG
CCqGSIb3DQMHMB8GA1UdEQQYMBaCFGlkcC5zaWFtLnNpbm9wZWMuY29tMEMGA1Ud
HwQ8MDowOKA2oDSGMmh0dHA6Ly94a21zLnNpbm9wZWMuY29tL1NaQXV0aFNlcnZp
Y2UvQ1JMQ2VydGkuQ1JMMDkGCCsGAQUFBwEBBC0wKzApBggrBgEFBQcwAYYdaHR0
cDovL29jc3Auc2lub3BlYy5jb206ODgwMC8wIAYKKwYBBAGpQ2QFCAQSFhAwMDA0
NEI3MTQyMjQyOTE1MCAGCisGAQQBqUNkBQkEEhYQMDAwNDRCNzE0MjI0MjkxNTAS
BgorBgEEAalDZAIBBAQWAjE5MA0GCSqGSIb3DQEBBQUAA4GBAHcKKwqmILJIbdFt
7+M4xU7q7KCNMUJNihMOU5sIQi0+EGgMKpfeVANuZI23FBlgprM+9/L5MS8qynu9
Ic+juzY0FkYIBrtQa6g6UXbCsm+/YtcwYdn2j3EkBvoWrM5TW3QAm8E8I66Yu+kG
aAEk+mnA/T5ZBC3gULHi97KuXymx
                  </ds:X509Certificate>
                </ds:X509Data>
            </ds:KeyInfo>
        </KeyDescriptor>
        
        <ArtifactResolutionService Binding="urn:oasis:names:tc:SAML:1.0:bindings:SOAP-binding" Location="https://idp.siam.sinopec.com/idp/profile/SAML1/SOAP/ArtifactResolution" index="1"/>

        <ArtifactResolutionService Binding="urn:oasis:names:tc:SAML:2.0:bindings:SOAP" Location="https://idp.siam.sinopec.com/idp/profile/SAML2/SOAP/ArtifactResolution" index="2"/>
                                   
        <NameIDFormat>urn:mace:shibboleth:1.0:nameIdentifier</NameIDFormat>
        <NameIDFormat>urn:oasis:names:tc:SAML:2.0:nameid-format:transient</NameIDFormat>

        <SingleSignOnService Binding="urn:mace:shibboleth:1.0:profiles:AuthnRequest" Location="https://idp.siam.sinopec.com/idp/profile/Shibboleth/SSO"/>
        
        <SingleSignOnService Binding="urn:mace:siam:2.0:profiles:Unibody:AuthnRequest" Location="https://idp.siam.sinopec.com/idp/profile/SAML2/Unibody/SSO"/>
        
        <SingleSignOnService Binding="urn:oasis:names:tc:SAML:2.0:bindings:HTTP-POST" Location="https://idp.siam.sinopec.com/idp/profile/SAML2/POST/SSO"/>

        <SingleSignOnService Binding="urn:oasis:names:tc:SAML:2.0:bindings:HTTP-POST-SimpleSign" Location="https://idp.siam.sinopec.com/idp/profile/SAML2/POST-SimpleSign/SSO"/>

        <SingleSignOnService Binding="urn:oasis:names:tc:SAML:2.0:bindings:HTTP-Redirect" Location="https://idp.siam.sinopec.com/idp/profile/SAML2/Redirect/SSO"/>
        <!-- add Global logout Service -->
        <SingleLogoutService Binding="urn:oasis:names:tc:SAML:2.0:bindings:HTTP-Redirect" Location="https://idp.siam.sinopec.com/idp/profile/SAML2/Redirect/GLO"/>
    </IDPSSODescriptor>

    <AttributeAuthorityDescriptor protocolSupportEnumeration="urn:oasis:names:tc:SAML:1.1:protocol urn:oasis:names:tc:SAML:2.0:protocol">

        <Extensions>
            <shibmd:Scope regexp="false">siam.sinopec.com</shibmd:Scope>
        </Extensions>

        <KeyDescriptor>
            <ds:KeyInfo>
                <ds:X509Data>
                    <ds:X509Certificate>
MIID0TCCAzqgAwIBAgIOQjAxMDAwMDAwMDU3MTMwDQYJKoZIhvcNAQEFBQAwLDEL
MAkGA1UEBgwCQ04xEDAOBgNVBAoMB1NJTk9QRUMxCzAJBgNVBAMMAkNBMB4XDTEy
MDkxNzAwMDAwMFoXDTE3MDkxNzAwMDAwMFowWjELMAkGA1UEBhMCQ04xCzAJBgNV
BAcMAmJqMRAwDgYDVQQKDAdTSU5PUEVDMQ0wCwYDVQQLDARzaWFtMR0wGwYDVQQD
DBRpZHAuc2lhbS5zaW5vcGVjLmNvbTCBnzANBgkqhkiG9w0BAQEFAAOBjQAwgYkC
gYEAlJltfLp5u+yyKp6e0fF4Ua/MqqXLcPc+4CCVgt8nUfrVe/u2wPtBj+C6JAjz
3/SlV3pPRDUdJJyIOSKZCItb80w+jOc12+QJXtOIRoFaMblIXwBZRTr8i3MefVMn
5yvAyv/sjWgV10D6m1bvjEyfFgyUB0UqnmuXxaCq3DYdKX0CAwEAAYIVAGlkcC5z
aWFtLnNpbm9wZWMuY29to4IBrzCCAaswCwYDVR0PBAQDAgTwMB0GA1UdJQQWMBQG
CCsGAQUFBwMBBggrBgEFBQcDAjAfBgNVHSMEGDAWgBRx///04kzmY45A8/gk3Hb1
hHK8eDAdBgNVHQ4EFgQUb3gGx3vYNu4wqsMNZsMnpXVaBcswRAYJKoZIhvcNAQkP
BDcwNTAOBggqhkiG9w0DAgICAIAwDgYIKoZIhvcNAwQCAgCAMAcGBSsOAwIHMAoG
CCqGSIb3DQMHMB8GA1UdEQQYMBaCFGlkcC5zaWFtLnNpbm9wZWMuY29tMEMGA1Ud
HwQ8MDowOKA2oDSGMmh0dHA6Ly94a21zLnNpbm9wZWMuY29tL1NaQXV0aFNlcnZp
Y2UvQ1JMQ2VydGkuQ1JMMDkGCCsGAQUFBwEBBC0wKzApBggrBgEFBQcwAYYdaHR0
cDovL29jc3Auc2lub3BlYy5jb206ODgwMC8wIAYKKwYBBAGpQ2QFCAQSFhAwMDA0
NEI3MTQyMjQyOTE1MCAGCisGAQQBqUNkBQkEEhYQMDAwNDRCNzE0MjI0MjkxNTAS
BgorBgEEAalDZAIBBAQWAjE5MA0GCSqGSIb3DQEBBQUAA4GBAHcKKwqmILJIbdFt
7+M4xU7q7KCNMUJNihMOU5sIQi0+EGgMKpfeVANuZI23FBlgprM+9/L5MS8qynu9
Ic+juzY0FkYIBrtQa6g6UXbCsm+/YtcwYdn2j3EkBvoWrM5TW3QAm8E8I66Yu+kG
aAEk+mnA/T5ZBC3gULHi97KuXymx
                    </ds:X509Certificate>
                </ds:X509Data>
            </ds:KeyInfo>
        </KeyDescriptor>

        <AttributeService Binding="urn:oasis:names:tc:SAML:1.0:bindings:SOAP-binding" Location="https://idp.siam.sinopec.com/idp/profile/SAML1/SOAP/AttributeQuery"/>
        
        <AttributeService Binding="urn:oasis:names:tc:SAML:2.0:bindings:SOAP" Location="https://idp.siam.sinopec.com/idp/profile/SAML2/SOAP/AttributeQuery"/>
        
        <NameIDFormat>urn:mace:shibboleth:1.0:nameIdentifier</NameIDFormat>
        <NameIDFormat>urn:oasis:names:tc:SAML:2.0:nameid-format:transient</NameIDFormat>
        
    </AttributeAuthorityDescriptor>
    
</EntityDescriptor>
